## rust-ognibuild 0.1.4

=== Makefile ===
check:: style

style:
	ruff check py

check:: testsuite

build-inplace:
	python3 setup.py build_rust --inplace

testsuite:
	cargo test

check:: typing

typing:
	mypy py tests

coverage:
	PYTHONPATH=$(shell pwd)/py python3 -m coverage run -m unittest tests.test_suite

coverage-html:
	python3 -m coverage html

## rust-ognibuild 0.0.28

=== debian/changelog ===
rust-ognibuild (0.0.28-1) unstable; urgency=medium

  * Move package to rust-team, change source package name to rust-ognibuild.
  * Package ognibuild 0.0.28 from crates.io using debcargo 2.7.0
    + Fixes compatibility with pyo3 0.22. Closes: ##1081087

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 Oct 2024 18:51:41 +0100

ognibuild (0.0.20-1) unstable; urgency=low

  * New upstream release.
  * Disable tests. Closes: #1071804

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 07 Jun 2024 14:43:54 +0100

ognibuild (0.0.18+git20230208.1.9b890a2-2) UNRELEASED; urgency=medium

  * Fix build source after successful build. Closes: #1047139

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 Sep 2023 20:18:06 +0100

ognibuild (0.0.18+git20230208.1.9b890a2-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes flaky tee test. Closes: #1030879

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Feb 2023 13:23:14 +0000

ognibuild (0.0.18-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 03 Feb 2023 02:12:19 +0000

ognibuild (0.0.16-2) unstable; urgency=medium

  * Add missing recommends on python3-build.
  * Update standards version to 4.6.2, no changes needed.
  * Fix autopkgtest running tests. Closes: #1027397

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 04 Jan 2023 19:58:27 +0000

ognibuild (0.0.16-1) unstable; urgency=low

  [ Jelmer Vernooĳ ]
  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 16 Dec 2022 11:59:58 +0000

ognibuild (0.0.13-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 14 Apr 2022 19:55:46 +0100

ognibuild (0.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Mar 2022 18:06:58 +0100

ognibuild (0.0.11-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Feb 2022 00:54:52 +0000

ognibuild (0.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 15:58:53 +0000

ognibuild (0.0.9-1) unstable; urgency=low

  * New upstream release.
   + Improve maven requirements output. Closes: #989542
   + Print upstream commands run. Closes: #989454

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 Jun 2021 14:40:08 +0100

ognibuild (0.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 11 Jun 2021 20:21:58 +0100

ognibuild (0.0.6+git20210517.1.8189e91-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 18 May 2021 20:53:15 +0100

ognibuild (0.0.5-1) unstable; urgency=low

  * New upstream release.
   + Fixes cmake support. Closes: #988572
   + Preserve environment when building Python packages. Closes: #988571

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 18 May 2021 01:34:11 +0100

ognibuild (0.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Apr 2021 00:11:09 +0100

ognibuild (0.0.3-1) unstable; urgency=medium

  * Add missing dependency on python3-lz4.
  * Set upstream metadata fields: Security-Contact.
  * Add upstream signing keys.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Mar 2021 17:49:29 +0000

ognibuild (0.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Mar 2021 18:25:45 +0000

ognibuild (0.0.1~git20210228.bc79314-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add dependency on buildlog-consultant.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 28 Feb 2021 14:55:03 +0000

ognibuild (0.0.1~git20201031.4cbc8df-1) unstable; urgency=low

  * Initial release. Closes: #981913

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 03:00:40 +0000

=== debian/control ===
Source: rust-ognibuild
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-breezyshim-0.1+debian-dev,
 librust-breezyshim-0.1+default-dev,
 librust-buildlog-consultant+default-dev (>= 0.0.43-~~),
 librust-chrono+default-dev (>= 0.4-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-deb822-lossless+default-dev (>= 0.2-~~),
 librust-debian-analyzer-0.158+default-dev (>= 0.158.14-~~),
 librust-debian-changelog+default-dev (>= 0.1.14-~~),
 librust-debian-control+default-dev (>= 0.1.25-~~),
 librust-debversion-0.4+default-dev,
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-flate2-1+default-dev,
 librust-fs-extra-1+default-dev (>= 1.3.0-~~),
 librust-inventory+default-dev (>= 0.3-~~),
 librust-lazy-regex+default-dev (>= 2-~~),
 librust-lazy-static+default-dev (>= 1.4-~~),
 librust-libc-0.2+default-dev (>= 0.2.148-~~),
 librust-log-0.4+default-dev (>= 0.4.20-~~),
 librust-lz4-flex+default-dev (>= 0.11-~~),
 librust-lzma-rs-0.3+default-dev,
 librust-makefile-lossless-0.1+default-dev (>= 0.1.3-~~),
 librust-maplit-1+default-dev (>= 1.0.2-~~),
 librust-nix+default-dev (>= 0.27.0-~~),
 librust-nix+user-dev (>= 0.27.0-~~),
 librust-pep440-rs-0.6+default-dev (>= 0.6.5-~~),
 librust-pep508-rs-0.6+default-dev (>= 0.6.1-~~),
 librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
 librust-pyo3-0.22+default-dev,
 librust-pyproject-toml+default-dev (>= 0.7-~~),
 librust-r-description+default-dev (>= 0.2-~~),
 librust-r-description+serde-dev (>= 0.2-~~),
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev (>= 1.10.6-~~),
 librust-reqwest+blocking-dev (>= 0.10-~~),
 librust-reqwest+default-dev (>= 0.10-~~),
 librust-reqwest+json-dev (>= 0.10-~~),
 librust-semver+default-dev (>= 1-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
 librust-shlex-1+default-dev (>= 1.3.0-~~),
 librust-sqlx-0.8+default-dev (>= 0.8.1-~~),
 librust-sqlx-0.8+postgres-dev (>= 0.8.1-~~),
 librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.1-~~),
 librust-tempfile+default-dev (>= 3-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-toml+default-dev (>= 0.8-~~),
 librust-toml-edit+default-dev (>= 0.22-~~),
 librust-upstream-ontologist+default-dev (>= 0.1.40-~~),
 librust-url+default-dev (>= 2-~~),
 librust-whoami-dev (>= 1.4-~~),
 librust-xmltree+default-dev (>= 0.10-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ognibuild]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ognibuild
Homepage: https://github.com/jelmer/ognibuild
X-Cargo-Crate: ognibuild
Rules-Requires-Root: no

Package: librust-ognibuild-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-breezyshim-0.1+debian-dev,
 librust-breezyshim-0.1+default-dev,
 librust-buildlog-consultant+default-dev (>= 0.0.43-~~),
 librust-chrono+default-dev (>= 0.4-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-deb822-lossless+default-dev (>= 0.2-~~),
 librust-debian-analyzer-0.158+default-dev (>= 0.158.14-~~),
 librust-debian-changelog+default-dev (>= 0.1.14-~~),
 librust-debian-control+default-dev (>= 0.1.25-~~),
 librust-debversion-0.4+default-dev,
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-flate2-1+default-dev,
 librust-fs-extra-1+default-dev (>= 1.3.0-~~),
 librust-inventory+default-dev (>= 0.3-~~),
 librust-lazy-regex+default-dev (>= 2-~~),
 librust-lazy-static+default-dev (>= 1.4-~~),
 librust-libc-0.2+default-dev (>= 0.2.148-~~),
 librust-log-0.4+default-dev (>= 0.4.20-~~),
 librust-lz4-flex+default-dev (>= 0.11-~~),
 librust-lzma-rs-0.3+default-dev,
 librust-makefile-lossless-0.1+default-dev (>= 0.1.3-~~),
 librust-maplit-1+default-dev (>= 1.0.2-~~),
 librust-nix+default-dev (>= 0.27.0-~~),
 librust-nix+user-dev (>= 0.27.0-~~),
 librust-pep440-rs-0.6+default-dev (>= 0.6.5-~~),
 librust-pep508-rs-0.6+default-dev (>= 0.6.1-~~),
 librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
 librust-pyo3-0.22+default-dev,
 librust-pyproject-toml+default-dev (>= 0.7-~~),
 librust-r-description+default-dev (>= 0.2-~~),
 librust-r-description+serde-dev (>= 0.2-~~),
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev (>= 1.10.6-~~),
 librust-reqwest+blocking-dev (>= 0.10-~~),
 librust-reqwest+default-dev (>= 0.10-~~),
 librust-reqwest+json-dev (>= 0.10-~~),
 librust-semver+default-dev (>= 1-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
 librust-shlex-1+default-dev (>= 1.3.0-~~),
 librust-sqlx-0.8+default-dev (>= 0.8.1-~~),
 librust-sqlx-0.8+postgres-dev (>= 0.8.1-~~),
 librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.1-~~),
 librust-stackdriver-logger-0.8+default-dev (>= 0.8.2-~~),
 librust-tempfile+default-dev (>= 3-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-toml+default-dev (>= 0.8-~~),
 librust-toml-edit+default-dev (>= 0.22-~~),
 librust-upstream-ontologist+default-dev (>= 0.1.40-~~),
 librust-url+default-dev (>= 2-~~),
 librust-whoami-dev (>= 1.4-~~),
 librust-xmltree+default-dev (>= 0.10-~~)
Provides:
 librust-ognibuild+breezy-dev (= ${binary:Version}),
 librust-ognibuild+cli-dev (= ${binary:Version}),
 librust-ognibuild+debian-dev (= ${binary:Version}),
 librust-ognibuild+default-dev (= ${binary:Version}),
 librust-ognibuild+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild+udd-dev (= ${binary:Version}),
 librust-ognibuild+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0-dev (= ${binary:Version}),
 librust-ognibuild-0+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0+cli-dev (= ${binary:Version}),
 librust-ognibuild-0+debian-dev (= ${binary:Version}),
 librust-ognibuild-0+default-dev (= ${binary:Version}),
 librust-ognibuild-0+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0+udd-dev (= ${binary:Version}),
 librust-ognibuild-0+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0.0-dev (= ${binary:Version}),
 librust-ognibuild-0.0+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0.0+cli-dev (= ${binary:Version}),
 librust-ognibuild-0.0+debian-dev (= ${binary:Version}),
 librust-ognibuild-0.0+default-dev (= ${binary:Version}),
 librust-ognibuild-0.0+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0.0+udd-dev (= ${binary:Version}),
 librust-ognibuild-0.0+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0.0.28-dev (= ${binary:Version}),
 librust-ognibuild-0.0.28+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0.0.28+cli-dev (= ${binary:Version}),
 librust-ognibuild-0.0.28+debian-dev (= ${binary:Version}),
 librust-ognibuild-0.0.28+default-dev (= ${binary:Version}),
 librust-ognibuild-0.0.28+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0.0.28+udd-dev (= ${binary:Version}),
 librust-ognibuild-0.0.28+upstream-dev (= ${binary:Version})
Description: Detect and run any build system - Rust source code
 Source code for Debianized Rust crate "ognibuild"

Package: ognibuild
Architecture: any
Multi-Arch: allowed
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends},
 brz-debian,
 python3-build
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Detect and run any build system
 Ognibuild is a simple wrapper with a common interface for invoking any kind of
 build tool.
 .
 The ideas is that it can be run to build and install any source code directory
 by detecting the build system that is in use and invoking that with the correct
 parameters.
 .
 It can also detect and install missing dependencies.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc:native, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc:native, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc:native, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc:native, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, rustc:native, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger
Depends: dh-cargo (>= 31), mmdebstrap, rustc:native, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets --no-default-features --features udd
Features: test-name=librust-ognibuild-dev:udd
Depends: dh-cargo (>= 31), mmdebstrap, rustc:native, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets --no-default-features --features upstream
Features: test-name=librust-ognibuild-dev:upstream
Depends: dh-cargo (>= 31), mmdebstrap, rustc:native, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.28 --all-targets --no-default-features
Features: test-name=librust-ognibuild-dev:

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/ognibuild-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/ognibuild .*/crates/ognibuild/@ANY_VERSION@/download

## rust-ognibuild 0.0.30

=== debian/changelog ===
rust-ognibuild (0.0.30-1) unstable; urgency=medium

  * Package ognibuild 0.0.30 from crates.io using debcargo 2.7.2

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 02 Nov 2024 19:30:21 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-cargo (>= 25),
+ dh-sequence-cargo,
  cargo:native,
  rustc:native,
  libstd-rust-dev,
@@ -14,8 +14,8 @@
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
  librust-deb822-lossless+default-dev (>= 0.2-~~),
- librust-debian-analyzer-0.158+default-dev (>= 0.158.14-~~),
- librust-debian-changelog+default-dev (>= 0.1.14-~~),
+ librust-debian-analyzer-0.158+default-dev (>= 0.158.21-~~),
+ librust-debian-changelog+default-dev (>= 0.2-~~),
  librust-debian-control+default-dev (>= 0.1.25-~~),
  librust-debversion-0.4+default-dev,
  librust-env-logger+default-dev (>= 0.10-~~),
@@ -32,8 +32,8 @@
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-nix+default-dev (>= 0.27.0-~~),
  librust-nix+user-dev (>= 0.27.0-~~),
- librust-pep440-rs-0.6+default-dev (>= 0.6.5-~~),
- librust-pep508-rs-0.6+default-dev (>= 0.6.1-~~),
+ librust-pep440-rs-0.6+default-dev,
+ librust-pep508-rs-0.6+default-dev,
  librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
  librust-pyo3-0.22+default-dev,
  librust-pyproject-toml+default-dev (>= 0.7-~~),
@@ -85,8 +85,8 @@
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
  librust-deb822-lossless+default-dev (>= 0.2-~~),
- librust-debian-analyzer-0.158+default-dev (>= 0.158.14-~~),
- librust-debian-changelog+default-dev (>= 0.1.14-~~),
+ librust-debian-analyzer-0.158+default-dev (>= 0.158.21-~~),
+ librust-debian-changelog+default-dev (>= 0.2-~~),
  librust-debian-control+default-dev (>= 0.1.25-~~),
  librust-debversion-0.4+default-dev,
  librust-env-logger+default-dev (>= 0.10-~~),
@@ -103,8 +103,8 @@
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-nix+default-dev (>= 0.27.0-~~),
  librust-nix+user-dev (>= 0.27.0-~~),
- librust-pep440-rs-0.6+default-dev (>= 0.6.5-~~),
- librust-pep508-rs-0.6+default-dev (>= 0.6.1-~~),
+ librust-pep440-rs-0.6+default-dev,
+ librust-pep508-rs-0.6+default-dev,
  librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
  librust-pyo3-0.22+default-dev,
  librust-pyproject-toml+default-dev (>= 0.7-~~),
@@ -158,14 +158,14 @@
  librust-ognibuild-0.0+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild-0.0+udd-dev (= ${binary:Version}),
  librust-ognibuild-0.0+upstream-dev (= ${binary:Version}),
- librust-ognibuild-0.0.28-dev (= ${binary:Version}),
- librust-ognibuild-0.0.28+breezy-dev (= ${binary:Version}),
- librust-ognibuild-0.0.28+cli-dev (= ${binary:Version}),
- librust-ognibuild-0.0.28+debian-dev (= ${binary:Version}),
- librust-ognibuild-0.0.28+default-dev (= ${binary:Version}),
- librust-ognibuild-0.0.28+stackdriver-logger-dev (= ${binary:Version}),
- librust-ognibuild-0.0.28+udd-dev (= ${binary:Version}),
- librust-ognibuild-0.0.28+upstream-dev (= ${binary:Version})
+ librust-ognibuild-0.0.30-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.30+breezy-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.30+cli-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.30+debian-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.30+default-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.30+stackdriver-logger-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.30+udd-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.30+upstream-dev (= ${binary:Version})
 Description: Detect and run any build system - Rust source code
  Source code for Debianized Rust crate "ognibuild"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets --no-default-features --features udd
Features: test-name=librust-ognibuild-dev:udd
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets --no-default-features --features upstream
Features: test-name=librust-ognibuild-dev:upstream
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.30 --all-targets --no-default-features
Features: test-name=librust-ognibuild-dev:
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @

## rust-ognibuild 0.0.32

=== debian/changelog ===
rust-ognibuild (0.0.32-2build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:06:54 +0100

rust-ognibuild (0.0.32-2) unstable; urgency=medium

  * Team upload.
  * Package ognibuild 0.0.32 from crates.io using debcargo 2.7.5
  * Reduce tests on riscv64 to avoid timeout.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 21 Dec 2024 15:17:11 +0000

rust-ognibuild (0.0.32-1) unstable; urgency=medium

  * Package ognibuild 0.0.32 from crates.io using debcargo 2.7.5
  * Rearrange patches for easier testing.
  * Disable oversensitive test.
  * Make "upstream" feature depend on tokio.

  [ NoisyCoil ]
  * Team upload.
  * Package ognibuild 0.0.32 from crates.io using debcargo 2.7.5
  * d/patches:
    - add serialize-tests (fixes race condition due to parallel usage of
      breezyshim::testing::TestEnv in tests)
    - add relax-lazy-regex (bump lazy-regex to v3)
    - delete unused relax-buildlog-consultant

  [ Jelmer Vernooĳ ]
  * Package ognibuild 0.0.32 from crates.io using debcargo 2.7.5

 -- Peter Michael Green <plugwash@debian.org>  Sun, 15 Dec 2024 18:39:30 +0000

rust-ognibuild (0.0.31-1) unstable; urgency=medium

  * Package ognibuild 0.0.31 from crates.io using debcargo 2.7.2

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 Nov 2024 03:01:32 +0000

=== debian/control ===
--- 
+++ 
@@ -14,17 +14,18 @@
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
  librust-deb822-lossless+default-dev (>= 0.2-~~),
- librust-debian-analyzer-0.158+default-dev (>= 0.158.21-~~),
+ librust-debian-analyzer-0.158+default-dev (>= 0.158.24-~~),
  librust-debian-changelog+default-dev (>= 0.2-~~),
  librust-debian-control+default-dev (>= 0.1.25-~~),
  librust-debversion-0.4+default-dev,
+ librust-dirs-5+default-dev (>= 5.0.1-~~),
  librust-env-logger+default-dev (>= 0.10-~~),
  librust-flate2-1+default-dev,
  librust-fs-extra-1+default-dev (>= 1.3.0-~~),
  librust-inventory+default-dev (>= 0.3-~~),
- librust-lazy-regex+default-dev (>= 2-~~),
+ librust-lazy-regex-3+default-dev,
  librust-lazy-static+default-dev (>= 1.4-~~),
- librust-libc-0.2+default-dev (>= 0.2.148-~~),
+ librust-libc-0.2+default-dev (>= 0.2.162-~~),
  librust-log-0.4+default-dev (>= 0.4.20-~~),
  librust-lz4-flex+default-dev (>= 0.11-~~),
  librust-lzma-rs-0.3+default-dev,
@@ -32,11 +33,10 @@
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-nix+default-dev (>= 0.27.0-~~),
  librust-nix+user-dev (>= 0.27.0-~~),
- librust-pep440-rs-0.6+default-dev,
- librust-pep508-rs-0.6+default-dev,
+ librust-pep508-rs-0.9+default-dev,
  librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
  librust-pyo3-0.22+default-dev,
- librust-pyproject-toml+default-dev (>= 0.7-~~),
+ librust-pyproject-toml-0.13+default-dev,
  librust-r-description+default-dev (>= 0.2-~~),
  librust-r-description+serde-dev (>= 0.2-~~),
  librust-rand-0.8+default-dev (>= 0.8.5-~~),
@@ -49,6 +49,7 @@
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
+ librust-serial-test-2+default-dev,
  librust-shlex-1+default-dev (>= 1.3.0-~~),
  librust-sqlx-0.8+default-dev (>= 0.8.1-~~),
  librust-sqlx-0.8+postgres-dev (>= 0.8.1-~~),
@@ -58,7 +59,7 @@
  librust-tokio-1+full-dev,
  librust-toml+default-dev (>= 0.8-~~),
  librust-toml-edit+default-dev (>= 0.22-~~),
- librust-upstream-ontologist+default-dev (>= 0.1.40-~~),
+ librust-upstream-ontologist-0.2+default-dev,
  librust-url+default-dev (>= 2-~~),
  librust-whoami-dev (>= 1.4-~~),
  librust-xmltree+default-dev (>= 0.10-~~)
@@ -85,17 +86,18 @@
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
  librust-deb822-lossless+default-dev (>= 0.2-~~),
- librust-debian-analyzer-0.158+default-dev (>= 0.158.21-~~),
+ librust-debian-analyzer-0.158+default-dev (>= 0.158.24-~~),
  librust-debian-changelog+default-dev (>= 0.2-~~),
  librust-debian-control+default-dev (>= 0.1.25-~~),
  librust-debversion-0.4+default-dev,
+ librust-dirs-5+default-dev (>= 5.0.1-~~),
  librust-env-logger+default-dev (>= 0.10-~~),
  librust-flate2-1+default-dev,
  librust-fs-extra-1+default-dev (>= 1.3.0-~~),
  librust-inventory+default-dev (>= 0.3-~~),
- librust-lazy-regex+default-dev (>= 2-~~),
+ librust-lazy-regex-3+default-dev,
  librust-lazy-static+default-dev (>= 1.4-~~),
- librust-libc-0.2+default-dev (>= 0.2.148-~~),
+ librust-libc-0.2+default-dev (>= 0.2.162-~~),
  librust-log-0.4+default-dev (>= 0.4.20-~~),
  librust-lz4-flex+default-dev (>= 0.11-~~),
  librust-lzma-rs-0.3+default-dev,
@@ -103,11 +105,10 @@
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-nix+default-dev (>= 0.27.0-~~),
  librust-nix+user-dev (>= 0.27.0-~~),
- librust-pep440-rs-0.6+default-dev,
- librust-pep508-rs-0.6+default-dev,
+ librust-pep508-rs-0.9+default-dev,
  librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
  librust-pyo3-0.22+default-dev,
- librust-pyproject-toml+default-dev (>= 0.7-~~),
+ librust-pyproject-toml-0.13+default-dev,
  librust-r-description+default-dev (>= 0.2-~~),
  librust-r-description+serde-dev (>= 0.2-~~),
  librust-rand-0.8+default-dev (>= 0.8.5-~~),
@@ -120,6 +121,7 @@
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
+ librust-serial-test-2+default-dev,
  librust-shlex-1+default-dev (>= 1.3.0-~~),
  librust-sqlx-0.8+default-dev (>= 0.8.1-~~),
  librust-sqlx-0.8+postgres-dev (>= 0.8.1-~~),
@@ -130,7 +132,7 @@
  librust-tokio-1+full-dev,
  librust-toml+default-dev (>= 0.8-~~),
  librust-toml-edit+default-dev (>= 0.22-~~),
- librust-upstream-ontologist+default-dev (>= 0.1.40-~~),
+ librust-upstream-ontologist-0.2+default-dev,
  librust-url+default-dev (>= 2-~~),
  librust-whoami-dev (>= 1.4-~~),
  librust-xmltree+default-dev (>= 0.10-~~)
@@ -158,14 +160,14 @@
  librust-ognibuild-0.0+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild-0.0+udd-dev (= ${binary:Version}),
  librust-ognibuild-0.0+upstream-dev (= ${binary:Version}),
- librust-ognibuild-0.0.30-dev (= ${binary:Version}),
- librust-ognibuild-0.0.30+breezy-dev (= ${binary:Version}),
- librust-ognibuild-0.0.30+cli-dev (= ${binary:Version}),
- librust-ognibuild-0.0.30+debian-dev (= ${binary:Version}),
- librust-ognibuild-0.0.30+default-dev (= ${binary:Version}),
- librust-ognibuild-0.0.30+stackdriver-logger-dev (= ${binary:Version}),
- librust-ognibuild-0.0.30+udd-dev (= ${binary:Version}),
- librust-ognibuild-0.0.30+upstream-dev (= ${binary:Version})
+ librust-ognibuild-0.0.32-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.32+breezy-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.32+cli-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.32+debian-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.32+default-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.32+stackdriver-logger-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.32+udd-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.32+upstream-dev (= ${binary:Version})
 Description: Detect and run any build system - Rust source code
  Source code for Debianized Rust crate "ognibuild"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets --no-default-features --features udd
Features: test-name=librust-ognibuild-dev:udd
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets --no-default-features --features upstream
Features: test-name=librust-ognibuild-dev:upstream
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.32 --all-targets --no-default-features
Features: test-name=librust-ognibuild-dev:

## rust-ognibuild 0.0.34

=== debian/changelog ===
rust-ognibuild (0.0.34-1) unstable; urgency=medium

  * Package ognibuild 0.0.34 from crates.io using debcargo 2.7.8

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Apr 2025 00:55:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,34 +2,34 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-cargo,
- cargo:native,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-breezyshim-0.1+debian-dev,
  librust-breezyshim-0.1+default-dev,
- librust-buildlog-consultant+default-dev (>= 0.0.43-~~),
+ librust-buildlog-consultant-0.1+default-dev (>= 0.1.1-~~),
  librust-chrono+default-dev (>= 0.4-~~),
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
  librust-deb822-lossless+default-dev (>= 0.2-~~),
- librust-debian-analyzer-0.158+default-dev (>= 0.158.24-~~),
+ librust-debian-analyzer-0.158+default-dev (>= 0.158.25-~~),
  librust-debian-changelog+default-dev (>= 0.2-~~),
  librust-debian-control+default-dev (>= 0.1.25-~~),
  librust-debversion-0.4+default-dev,
- librust-dirs-5+default-dev (>= 5.0.1-~~),
+ librust-dirs-5+default-dev,
  librust-env-logger+default-dev (>= 0.10-~~),
  librust-flate2-1+default-dev,
  librust-fs-extra-1+default-dev (>= 1.3.0-~~),
  librust-inventory+default-dev (>= 0.3-~~),
  librust-lazy-regex-3+default-dev,
  librust-lazy-static+default-dev (>= 1.4-~~),
- librust-libc-0.2+default-dev (>= 0.2.162-~~),
- librust-log-0.4+default-dev (>= 0.4.20-~~),
+ librust-libc-0.2+default-dev,
+ librust-log-0.4+default-dev,
  librust-lz4-flex+default-dev (>= 0.11-~~),
  librust-lzma-rs-0.3+default-dev,
- librust-makefile-lossless-0.1+default-dev (>= 0.1.3-~~),
+ librust-makefile-lossless-0.2+default-dev,
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-nix+default-dev (>= 0.27.0-~~),
  librust-nix+user-dev (>= 0.27.0-~~),
@@ -37,9 +37,9 @@
  librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
  librust-pyo3-0.22+default-dev,
  librust-pyproject-toml-0.13+default-dev,
- librust-r-description+default-dev (>= 0.2-~~),
- librust-r-description+serde-dev (>= 0.2-~~),
- librust-rand-0.8+default-dev (>= 0.8.5-~~),
+ librust-r-description+default-dev (>= 0.3-~~),
+ librust-r-description+serde-dev (>= 0.3-~~),
+ librust-rand-0.8+default-dev,
  librust-regex-1+default-dev (>= 1.10.6-~~),
  librust-reqwest+blocking-dev (>= 0.10-~~),
  librust-reqwest+default-dev (>= 0.10-~~),
@@ -51,9 +51,9 @@
  librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
  librust-serial-test-2+default-dev,
  librust-shlex-1+default-dev (>= 1.3.0-~~),
- librust-sqlx-0.8+default-dev (>= 0.8.1-~~),
- librust-sqlx-0.8+postgres-dev (>= 0.8.1-~~),
- librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.1-~~),
+ librust-sqlx-0.8+default-dev (>= 0.8.3-~~),
+ librust-sqlx-0.8+postgres-dev (>= 0.8.3-~~),
+ librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.3-~~),
  librust-tempfile+default-dev (>= 3-~~),
  librust-tokio-1+default-dev,
  librust-tokio-1+full-dev,
@@ -80,28 +80,28 @@
  ${misc:Depends},
  librust-breezyshim-0.1+debian-dev,
  librust-breezyshim-0.1+default-dev,
- librust-buildlog-consultant+default-dev (>= 0.0.43-~~),
+ librust-buildlog-consultant-0.1+default-dev (>= 0.1.1-~~),
  librust-chrono+default-dev (>= 0.4-~~),
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-clap-4+env-dev,
  librust-deb822-lossless+default-dev (>= 0.2-~~),
- librust-debian-analyzer-0.158+default-dev (>= 0.158.24-~~),
+ librust-debian-analyzer-0.158+default-dev (>= 0.158.25-~~),
  librust-debian-changelog+default-dev (>= 0.2-~~),
  librust-debian-control+default-dev (>= 0.1.25-~~),
  librust-debversion-0.4+default-dev,
- librust-dirs-5+default-dev (>= 5.0.1-~~),
+ librust-dirs-5+default-dev,
  librust-env-logger+default-dev (>= 0.10-~~),
  librust-flate2-1+default-dev,
  librust-fs-extra-1+default-dev (>= 1.3.0-~~),
  librust-inventory+default-dev (>= 0.3-~~),
  librust-lazy-regex-3+default-dev,
  librust-lazy-static+default-dev (>= 1.4-~~),
- librust-libc-0.2+default-dev (>= 0.2.162-~~),
- librust-log-0.4+default-dev (>= 0.4.20-~~),
+ librust-libc-0.2+default-dev,
+ librust-log-0.4+default-dev,
  librust-lz4-flex+default-dev (>= 0.11-~~),
  librust-lzma-rs-0.3+default-dev,
- librust-makefile-lossless-0.1+default-dev (>= 0.1.3-~~),
+ librust-makefile-lossless-0.2+default-dev,
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-nix+default-dev (>= 0.27.0-~~),
  librust-nix+user-dev (>= 0.27.0-~~),
@@ -109,9 +109,9 @@
  librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
  librust-pyo3-0.22+default-dev,
  librust-pyproject-toml-0.13+default-dev,
- librust-r-description+default-dev (>= 0.2-~~),
- librust-r-description+serde-dev (>= 0.2-~~),
- librust-rand-0.8+default-dev (>= 0.8.5-~~),
+ librust-r-description+default-dev (>= 0.3-~~),
+ librust-r-description+serde-dev (>= 0.3-~~),
+ librust-rand-0.8+default-dev,
  librust-regex-1+default-dev (>= 1.10.6-~~),
  librust-reqwest+blocking-dev (>= 0.10-~~),
  librust-reqwest+default-dev (>= 0.10-~~),
@@ -123,9 +123,9 @@
  librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
  librust-serial-test-2+default-dev,
  librust-shlex-1+default-dev (>= 1.3.0-~~),
- librust-sqlx-0.8+default-dev (>= 0.8.1-~~),
- librust-sqlx-0.8+postgres-dev (>= 0.8.1-~~),
- librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.1-~~),
+ librust-sqlx-0.8+default-dev (>= 0.8.3-~~),
+ librust-sqlx-0.8+postgres-dev (>= 0.8.3-~~),
+ librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.3-~~),
  librust-stackdriver-logger-0.8+default-dev (>= 0.8.2-~~),
  librust-tempfile+default-dev (>= 3-~~),
  librust-tokio-1+default-dev,
@@ -160,14 +160,14 @@
  librust-ognibuild-0.0+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild-0.0+udd-dev (= ${binary:Version}),
  librust-ognibuild-0.0+upstream-dev (= ${binary:Version}),
- librust-ognibuild-0.0.32-dev (= ${binary:Version}),
- librust-ognibuild-0.0.32+breezy-dev (= ${binary:Version}),
- librust-ognibuild-0.0.32+cli-dev (= ${binary:Version}),
- librust-ognibuild-0.0.32+debian-dev (= ${binary:Version}),
- librust-ognibuild-0.0.32+default-dev (= ${binary:Version}),
- librust-ognibuild-0.0.32+stackdriver-logger-dev (= ${binary:Version}),
- librust-ognibuild-0.0.32+udd-dev (= ${binary:Version}),
- librust-ognibuild-0.0.32+upstream-dev (= ${binary:Version})
+ librust-ognibuild-0.0.34-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.34+breezy-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.34+cli-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.34+debian-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.34+default-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.34+stackdriver-logger-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.34+udd-dev (= ${binary:Version}),
+ librust-ognibuild-0.0.34+upstream-dev (= ${binary:Version})
 Description: Detect and run any build system - Rust source code
  Source code for Debianized Rust crate "ognibuild"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets --no-default-features --features udd
Features: test-name=librust-ognibuild-dev:udd
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets --no-default-features --features upstream
Features: test-name=librust-ognibuild-dev:upstream
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.0.34 --all-targets --no-default-features
Features: test-name=librust-ognibuild-dev:

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/ognibuild-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/ognibuild .*/crates/ognibuild/@ANY_VERSION@/download
